# -*- encoding: utf-8 -*-
# stub: apiotics-aws-iot-client 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "apiotics-aws-iot-client".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mac Dougherty".freeze, "Pierre Goudet".freeze]
  s.date = "2018-05-11"
  s.description = "The gem is using the MQTT protocol to execute the command defined by the AWS IoT platform. A default MQTT client is included in the gem, however an adapter system enables to plug another MQTT client.".freeze
  s.email = ["info@apiotics.com".freeze]
  s.homepage = "https://portal.apiotics.com".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "The ruby version of the AWS IoT Device SDK. It enables to connect to AWS IoT platform and manage Things.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.10", ">= 1.10"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10.4", ">= 0.10.4"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0", ">= 1.10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.5.0", ">= 3.5.0"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 2.0.2", ">= 2.0.2"])
    s.add_runtime_dependency(%q<apiotics-paho-mqtt>.freeze, ["~> 1.0.0"])
    s.add_runtime_dependency(%q<timers>.freeze, ["~> 4.1.1", ">= 4.1.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.10", ">= 1.10"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10.4", ">= 0.10.4"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0", ">= 1.10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.5.0", ">= 3.5.0"])
    s.add_dependency(%q<json>.freeze, ["~> 2.0.2", ">= 2.0.2"])
    s.add_dependency(%q<apiotics-paho-mqtt>.freeze, ["~> 1.0.0"])
    s.add_dependency(%q<timers>.freeze, ["~> 4.1.1", ">= 4.1.1"])
  end
end
